petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerFileGetMode

Gets the type of file to be open

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerFileGetMode(PetscViewer viewer,PetscFileMode *type)

Not Collective Many br

### Input Parameter

viewer -the PetscViewer; must be a binary, MATLAB, hdf, or netcdf PetscViewer Many br

### Output Parameter

type -type of file Many br

       FILE_MODE_WRITE - create new file for binary output

       FILE_MODE_READ - open existing file for binary input

       FILE_MODE_APPEND - open existing file for binary output

Many br

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages